# Uses of Class
org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl

Packages that use CharTermAttributeImpl
Package
Description
org.apache.lucene.analysis.tokenattributes
General-purpose attributes for text analysis.

- ## Uses of CharTermAttributeImpl in org.apache.lucene.analysis.tokenattributes

  Subclasses of CharTermAttributeImpl in org.apache.lucene.analysis.tokenattributes
  Modifier and Type
  Class
  Description
  `class`
  `PackedTokenAttributeImpl`
  Default implementation of the common attributes used by Lucene: `CharTermAttribute` `TypeAttribute` `PositionIncrementAttribute` `PositionLengthAttribute` `OffsetAttribute` `TermFrequencyAttribute`
  Methods in org.apache.lucene.analysis.tokenattributes that return CharTermAttributeImpl
  Modifier and Type
  Method
  Description
  `CharTermAttributeImpl`
  CharTermAttributeImpl.`clone()`